Skip to main content

Base URL

All API requests should be made to:
https://api.continum.co

Authentication

Authenticate using your API key in the x-continum-key header:
curl https://api.continum.co/customers \
  -H "x-continum-key: co_your_api_key_here"

API Keys

Get your API key from the dashboard:
  1. Sign in with GitHub
  2. Create a customer account
  3. Navigate to API Keys
  4. Generate a new key
API keys are shown only once. Save them securely.

Request Format

All requests must include:
  • Content-Type: application/json header
  • x-continum-key header with your API key
  • JSON body (for POST/PUT requests)
curl -X POST https://api.continum.co/audit/ingest \
  -H "Content-Type: application/json" \
  -H "x-continum-key: co_your_api_key_here" \
  -d '{
    "sandboxSlug": "pii_strict",
    "provider": "openai",
    "model": "gpt-4o",
    "prompt": "Hello",
    "response": "Hi there!"
  }'

Response Format

All responses are JSON with the following structure:

Success Response

{
  "data": {
    // Response data
  }
}

Error Response

{
  "statusCode": 400,
  "message": "Sandbox not found",
  "error": "Bad Request"
}

HTTP Status Codes

CodeMeaningDescription
200OKRequest succeeded
201CreatedResource created successfully
202AcceptedRequest accepted for async processing
400Bad RequestInvalid request parameters
401UnauthorizedMissing or invalid API key
403ForbiddenPlan limit reached or insufficient permissions
404Not FoundResource not found
429Too Many RequestsRate limit exceeded
500Internal Server ErrorServer error

Rate Limits

Rate limits vary by plan:
PlanRate LimitBurst
DEV10 req/s50
PRO100 req/s500
PRO_MAX500 req/s2500
ENTERPRISECustomCustom
Rate limit headers are included in responses:
X-RateLimit-Limit: 100
X-RateLimit-Remaining: 95
X-RateLimit-Reset: 1640000000

Pagination

List endpoints support pagination:
curl "https://api.continum.co/dashboard/signals?page=1&limit=50" \
  -H "x-continum-key: co_your_api_key_here"
Response includes pagination metadata:
{
  "data": [...],
  "pagination": {
    "page": 1,
    "limit": 50,
    "total": 1234,
    "pages": 25
  }
}

Filtering

Many endpoints support filtering:
# Filter signals by risk level
curl "https://api.continum.co/dashboard/signals?riskLevel=HIGH" \
  -H "x-continum-key: co_your_api_key_here"

# Filter by date range
curl "https://api.continum.co/dashboard/signals?from=2024-01-01&to=2024-01-31" \
  -H "x-continum-key: co_your_api_key_here"

# Combine filters
curl "https://api.continum.co/dashboard/signals?riskLevel=HIGH&sandboxSlug=pii_strict" \
  -H "x-continum-key: co_your_api_key_here"

Idempotency

POST requests that create resources support idempotency keys:
curl -X POST https://api.continum.co/sandboxes \
  -H "Content-Type: application/json" \
  -H "x-continum-key: co_your_api_key_here" \
  -H "Idempotency-Key: unique-key-123" \
  -d '{
    "name": "My Sandbox",
    "slug": "my_sandbox",
    "sandboxType": "PII_DETECTION"
  }'

Webhooks (Coming Soon)

Subscribe to events via webhooks:
{
  "url": "https://your-app.com/webhook",
  "events": ["signal.high", "signal.critical"],
  "secret": "your_webhook_secret"
}

SDKs

Official SDKs are available:

TypeScript/JavaScript

npm install @continum/sdk

Python

Coming soon

Go

Coming soon

Ruby

Coming soon

API Endpoints

Customer

Manage customer accounts

Sandbox

Configure compliance sandboxes

Guardian

Pre-LLM PII detection

Mirror

Async audit ingestion

Dashboard

Query compliance signals

Support

Need help with the API?